<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::settings::storage::test::SQLiteDeviceSettingsStorageTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html">settings</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1storage.html">storage</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1storage_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test.html">SQLiteDeviceSettingsStorageTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::settings::storage::test::SQLiteDeviceSettingsStorageTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::settings::storage::test::SQLiteDeviceSettingsStorageTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test_inherit__map" id="alexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::settings::storage::test::SQLiteDeviceSettingsStorageTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test_coll__map" id="alexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a02cf81f221468c336cc6208a7a586dc2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test.html#a02cf81f221468c336cc6208a7a586dc2">SetUp</a> ()</td></tr>
<tr class="memdesc:a02cf81f221468c336cc6208a7a586dc2"><td class="mdescLeft">&#160;</td><td class="mdescRight">SetUp before each test case.  <a href="#a02cf81f221468c336cc6208a7a586dc2">More...</a><br /></td></tr>
<tr class="separator:a02cf81f221468c336cc6208a7a586dc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a213593c978f0db182eaef118bcb79481"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test.html#a213593c978f0db182eaef118bcb79481">TearDown</a> ()</td></tr>
<tr class="memdesc:a213593c978f0db182eaef118bcb79481"><td class="mdescLeft">&#160;</td><td class="mdescRight">TearDown after each test case.  <a href="#a213593c978f0db182eaef118bcb79481">More...</a><br /></td></tr>
<tr class="separator:a213593c978f0db182eaef118bcb79481"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ac6864f92d7fc0b29322a40a5c00a7061"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test.html#ac6864f92d7fc0b29322a40a5c00a7061">openDB</a> ()</td></tr>
<tr class="memdesc:ac6864f92d7fc0b29322a40a5c00a7061"><td class="mdescLeft">&#160;</td><td class="mdescRight">Open dataabse;.  <a href="#ac6864f92d7fc0b29322a40a5c00a7061">More...</a><br /></td></tr>
<tr class="separator:ac6864f92d7fc0b29322a40a5c00a7061"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70ed594ce09b3cdb93dcf834c7bcc573"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test.html#a70ed594ce09b3cdb93dcf834c7bcc573">closeDB</a> ()</td></tr>
<tr class="memdesc:a70ed594ce09b3cdb93dcf834c7bcc573"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cleanup function to close.  <a href="#a70ed594ce09b3cdb93dcf834c7bcc573">More...</a><br /></td></tr>
<tr class="separator:a70ed594ce09b3cdb93dcf834c7bcc573"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a77560e7491d8ffaae97404c9d2cbebaa"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html">SQLiteDeviceSettingStorage</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_s_q_lite_device_settings_storage_test.html#a77560e7491d8ffaae97404c9d2cbebaa">m_db</a></td></tr>
<tr class="memdesc:a77560e7491d8ffaae97404c9d2cbebaa"><td class="mdescLeft">&#160;</td><td class="mdescRight">The database instance. Protected because it needs to be accessed in test cases.  <a href="#a77560e7491d8ffaae97404c9d2cbebaa">More...</a><br /></td></tr>
<tr class="separator:a77560e7491d8ffaae97404c9d2cbebaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a70ed594ce09b3cdb93dcf834c7bcc573"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70ed594ce09b3cdb93dcf834c7bcc573">&#9670;&nbsp;</a></span>closeDB()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::settings::storage::test::SQLiteDeviceSettingsStorageTest::closeDB </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Cleanup function to close. </p>

</div>
</div>
<a id="ac6864f92d7fc0b29322a40a5c00a7061"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6864f92d7fc0b29322a40a5c00a7061">&#9670;&nbsp;</a></span>openDB()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::settings::storage::test::SQLiteDeviceSettingsStorageTest::openDB </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Open dataabse;. </p>

</div>
</div>
<a id="a02cf81f221468c336cc6208a7a586dc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02cf81f221468c336cc6208a7a586dc2">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::settings::storage::test::SQLiteDeviceSettingsStorageTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SetUp before each test case. </p>

</div>
</div>
<a id="a213593c978f0db182eaef118bcb79481"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a213593c978f0db182eaef118bcb79481">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::settings::storage::test::SQLiteDeviceSettingsStorageTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TearDown after each test case. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a77560e7491d8ffaae97404c9d2cbebaa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77560e7491d8ffaae97404c9d2cbebaa">&#9670;&nbsp;</a></span>m_db</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html">SQLiteDeviceSettingStorage</a>&gt; alexaClientSDK::settings::storage::test::SQLiteDeviceSettingsStorageTest::m_db</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The database instance. Protected because it needs to be accessed in test cases. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/Settings/test/<a class="el" href="_s_q_lite_device_settings_storage_test_8cpp.html">SQLiteDeviceSettingsStorageTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
